# common.mk -- used by all Makefiles.
SHELL = /bin/sh
@SET_MAKE@
top_srcdir = @top_srcdir@
srcdir = @srcdir@
VPATH = @srcdir@

CC = @CC@
CFLAGS = @CFLAGS@ $(XCFLAGS)
CPPFLAGS = @CPPFLAGS@ $(XCPPFLAGS)
DEFS = @DEFS@ $(XDEFS)

# Kpathsea needs this for compiling, programs need it for linking.
LIBTOOL = $(kpathsea_srcdir_parent)/klibtool

### modes for verbose or non-verbose compilation.
### these are inserted by the "--silent-compilation" option of configure (see acsite.m4).
###
### for silent compilation (gcc commands replaced by short status messages):
###
@BUILD_SILENT@CREATE_INFO = @echo "creating: $@"
@BUILD_SILENT@COMPILE_INFO = @echo "compiling: $<"
@BUILD_SILENT@LINK_INFO = @echo "linking: $@"
@BUILD_SILENT@HIDE_CMD = @
@BUILD_SILENT@HIDE_LINK = 1> /dev/null
### 
### for verbose compilation (gcc commands are echoed):
###
@BUILD_VERBOSE@CREATE_INFO =
@BUILD_VERBOSE@COMPILE_INFO =
@BUILD_VERBOSE@LINK_INFO =
@BUILD_VERBOSE@HIDE_CMD =
@BUILD_VERBOSE@HIDE_LINK =

# You can change [X]CPPFLAGS, [X]CFLAGS, or [X]DEFS, but
# please don't change ALL_CPPFLAGS or ALL_CFLAGS.
# prog_cflags is set by subdirectories of web2c.
ALL_CPPFLAGS = $(DEFS) -I. -I$(srcdir) $(prog_cflags) \
  -I$(kpathsea_parent) -I$(kpathsea_srcdir_parent) $(CPPFLAGS)
ALL_CFLAGS = $(ALL_CPPFLAGS) $(CFLAGS) -c
compile = $(HIDE_CMD)$(CC) $(ALL_CFLAGS)

.SUFFIXES:
.SUFFIXES: .c .o # in case the suffix list has been cleared, e.g., by web2c
.c.o:
	$(COMPILE_INFO)
	$(compile) $<

# Installation.
INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = $(INSTALL_PROGRAM)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_LIBTOOL_LIBS = INSTALL_DATA='$(INSTALL_DATA)' $(LIBTOOL) install-lib
INSTALL_LIBTOOL_PROG = INSTALL_PROGRAM='$(INSTALL_PROGRAM)' $(LIBTOOL) install-prog

# Creating (symbolic) links.
LN = @LN_S@

# We use these for many things.
kpathsea_parent = ..
kpathsea_dir = $(kpathsea_parent)/kpathsea
kpathsea_srcdir_parent = $(top_srcdir)/..
kpathsea_srcdir = $(kpathsea_srcdir_parent)/kpathsea
kpathsea = $(kpathsea_dir)/libkpathsea.la

@MAINT@ifeq ($(CC), gcc)
@MAINT@XDEFS = -Wall -Wpointer-arith $(warn_more)
@MAINT@CFLAGS = -pipe -g $(XCFLAGS)
@MAINT@endif
# End of common.mk.
